%define upstream_name    CGI-Application-Plugin-Authentication
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Authentication framework for CGI::Application
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Attribute::Handlers)
BuildRequires: perl(CGI) >= 3.160.0
BuildRequires: perl(CGI::Application) >= 4.0.0
BuildRequires: perl(Class::ISA)
BuildRequires: perl-Class-ISA
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More) >= 0.930.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Regression)
BuildRequires: perl(Test::Taint)
BuildRequires: perl(Test::Warn) >= 0.110.0
BuildRequires: perl(Test::Without::Module)
BuildRequires: perl(UNIVERSAL::require)
BuildArch:  noarch

%description
CGI::Application::Plugin::Authentication adds the ability to authenticate
users in your the CGI::Application manpage modules. It imports one method
called 'authen' into your CGI::Application module. Through the authen
method you can call all the methods of the
CGI::Application::Plugin::Authentication plugin.

There are two main decisions that you need to make when using this module.
How will the usernames and password be verified (ie from a database, LDAP,
etc...), and how can we keep the knowledge that a user has already logged
in persistent, so that they will not have to enter their credentials again
on the next request (ie how do we 'Store' the authentication information
across requests).

Choosing a Driver
    There are three drivers that are included with the distribution. Also,
    there is built in support for all of the Authen::Simple modules (search
    CPAN for Authen::Simple for more information). This should be enough to
    cover everyone's needs. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Mar 25 2011 jquelin <jquelin> 0.190.0-1.mga1
+ Revision: 77277
- adding missing buildrequiers:
- update to 0.19

* Wed Jan 26 2011 jquelin <jquelin> 0.180.0-1.mga1
+ Revision: 40240
- mageia rebuild
- imported package perl-CGI-Application-Plugin-Authentication


* Thu Jul 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.180.0-1mdv2011.0
+ Revision: 553471
- typo fix
- update version prereq
- requiring minimum version in buildrequires:
- adding missing buildrequires:
- update to 0.18

* Mon Jan 25 2010 Jérôme Quelin <jquelin@mandriva.org> 0.170.0-1mdv2010.1
+ Revision: 495701
- update to 0.17

* Tue Jan 19 2010 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2010.1
+ Revision: 493482
- update to 0.16

* Wed Jan 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.150.0-1mdv2010.1
+ Revision: 490486
- update to 0.15

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.140.0-1mdv2010.1
+ Revision: 460830
- update to 0.14

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2010.0
+ Revision: 405771
- rebuild using %%perl_convert_version

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdv2010.0
+ Revision: 370016
- update to new version 0.13

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdv2009.1
+ Revision: 292552
- import perl-CGI-Application-Plugin-Authentication


* Thu Oct 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdv2009.1
- initial mdv release, generated with cpan2dist

